﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Runtime.Serialization;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Core;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SchedulerApp1
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();       
        }

        private async void btnSave_Click(object sender, RoutedEventArgs e)
        {
            MainViewModel vm = App.Current.Resources["mainViewModel"] as MainViewModel;
            if (vm != null)
            {
                await vm.SaveAppointments();
            }
        }

        private async void btnLoad_Click(object sender, RoutedEventArgs e)
        {
            MainViewModel vm = App.Current.Resources["mainViewModel"] as MainViewModel;
            if (vm != null)
            {
                await vm.LoadAppointments();
                scheduler.DataStorage.AppointmentStorage.DataSource = vm.Appointments;
            }
        }
    }

}
